<?php

function template_preprocess_views_view_tagmap(&$vars) {
  $vars['map_object'] = $vars['rows'];
  // Rows is actually our map object.
  unset($vars['rows']);
  // Include all js and css files. Do not remove this line! 
  tagmap_initialize();
  $vars['output'] = theme('tagmap', array('elements' => array('#settings' => $vars['map_object'])));
}

/**
 * Set up the HTML header for Tagmap.
 * If you are going to include a custom JS file that extends Tagmap, you probabaly
 * want to call this first to ensure that the core js files have been added.
 */
function tagmap_initialize() {
  static $tagmap_initialized = FALSE;
  if ($tagmap_initialized) {
    return;
  } 
  $tagmap_path = drupal_get_path('module', 'tagmap');

  $query = array(
    'sensor' => 'false'
  );

  drupal_add_js(check_url(url('http://maps.google.com/maps/api/js', array('query' => $query))), array('type' => 'external',  'scope' => 'header'));
  drupal_add_js(check_url(url('http://js.mapbox.com/g/' . TAGMAP_GOOGLE_API_VERSION . '/mapbox.js')), array('type' => 'external',  'scope' => 'header'));

  drupal_add_css($tagmap_path . '/tagmap.css', array('type' => 'file'));
  drupal_add_js($tagmap_path .'/js/tagmap.js', array('type' => 'file',  'scope' => 'header', 'cache' => FALSE));
  drupal_add_js($tagmap_path .'/js/tagmap_markers.js',array('type' => 'file',  'scope' => 'header', 'cache' => FALSE));

  $tagmap_initialized = TRUE;
}